# TSGetSNES

Returns the SNES (nonlinear solver) associated with a TS (timestepper) context. Valid only for nonlinear problems.

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSGetSNES(TS ts,SNES *snes)

Not Collective, but SNES is parallel if TS is parallel

### Input Parameter

ts -the TS context obtained from TSCreate()

### Output Parameter

snes -the nonlinear solver context

### Notes

The user can then directly manipulate the SNES context to set various options, etc. Likewise, the user can then extract and manipulate the KSP, KSP, and PC contexts as well.

TSGetSNES() does not work for integrators that do not use SNES; in this case TSGetSNES() returns PETSC_NULL in snes.

### Keywords

timestep, get, SNES

Level:beginner
Location: src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages